type: vertical-stack
cards:
  - type: horizontal-stack
    cards:
      - show_name: true
        show_icon: true
        type: custom:button-card
        icon: mdi:knob
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_power
        name: On/Off
        size: 40px
        color: rgb(135, 5, 5)
      - show_name: true
        show_icon: true
        type: custom:button-card
        icon: mdi:power
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_stereo_power
        name: Stereo Power
        size: 40px
        color: rgb(113, 222, 131)
        styles:
          name:
            - font-size: 13px
            - padding-top: 3px
            - padding-bottom: 2px
      - show_name: true
        show_icon: true
        type: custom:button-card
        icon: mdi:close-circle
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_stereo_standby
        name: Stereo Standby
        size: 40px
        color: rgb(232, 170, 37)
        styles:
          name:
            - font-size: 13px
            - padding-top: 3px
            - padding-bottom: 2px
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_input_select
        name: Input
        icon: mdi:import
        size: 40px
        color: white
  - type: grid
    square: false
    cards:
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_1
        name: "1"
        icon: mdi:numeric-1
        show_state: false
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_2
        name: "2"
        icon: mdi:numeric-2
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_3
        name: "3"
        icon: mdi:numeric-3
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_4
        name: "4"
        icon: mdi:numeric-4
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_5
        name: "5"
        icon: mdi:numeric-5
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_6
        name: "6"
        icon: mdi:numeric-6
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_7
        name: "7"
        icon: mdi:numeric-7
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_8
        name: "8"
        icon: mdi:numeric-8
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_9
        name: "9"
        icon: mdi:numeric-9
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_number_0
        name: "0"
        icon: mdi:numeric-0
        icon_height: 30px
      - show_name: false
        show_icon: true
        type: button
        icon_height: 30px
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_stereo_input_tv
        name: Stereo TV
        icon: mdi:music
        size: 40px
        color: rgb(60, 150, 201)
      - show_name: false
        show_icon: true
        type: button
        icon_height: 30px
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_stereo_volume_up
        name: Volume Up
        icon: mdi:volume-plus
        size: 40px
        color: rgb(113, 222, 131)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_stereo_input_aux
        name: Stereo BT
        icon: mdi:music
        size: 40px
        color: rgb(60, 150, 201)
      - show_name: false
        type: button
        icon_height: 30px
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_stereo_volume_down
        name: Volume Down
        icon: mdi:volume-minus
        size: 40px
        color: rgb(113, 222, 131)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_info
        name: Info
        icon: mdi:information
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_tv_up
        name: Up
        icon: mdi:arrow-up
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_home
        name: Home
        icon: mdi:home
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_tv_left
        name: Left
        icon: mdi:arrow-left
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: false
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_ok
        name: OK
        icon: ok
        color: rgb(245, 188, 66)
        styles:
          card:
            - height: 75px
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_tv_right
        name: Right
        icon: mdi:arrow-right
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_back
        name: Back
        icon: mdi:arrow-u-left-bottom
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        hold_action:
          action: toggle
          repeat: 200
        entity: button.esphome_web_58a8a7_tv_down
        name: Down
        icon: mdi:arrow-down
        size: 40px
        color: rgb(245, 188, 66)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_exit
        name: Exit
        icon: mdi:exit-to-app
        size: 40px
        color: rgb(245, 188, 66)
      - type: markdown
        content: " "
      - type: markdown
        content: " "
      - type: markdown
        content: " "
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_netflix
        name: Netflix
        icon: mdi:netflix
        size: 40px
        color: rgb(68, 115, 158)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_youtube
        name: Youtube
        icon: mdi:youtube
        size: 40px
        color: rgb(68, 115, 158)
      - show_name: true
        show_icon: true
        type: custom:button-card
        tap_action:
          action: toggle
        entity: button.esphome_web_58a8a7_tv_prime
        name: Prime
        icon: mdi:television
        size: 40px
        color: rgb(68, 115, 158)
